data-source add    --name=${project.name}DS --connection-url=%%%ct_kfo_kfoqsdb_db_connection%%% --jndi-name=java:jboss/datasources/${project.name}DS --driver-name=postgresql --user-name=%%%ct_kfo_kfoqsdb_db_user%%% --password=%%%ct_kfo_kfoqsdb_db_password%%%
data-source enable --name=${project.name}DS

if (outcome != success) of /subsystem=datasources/data-source=kfoqsdb-frontend-deliveryDS:read-resource
  data-source add    --name=kfoqsdb-frontend-deliveryDS --connection-url=%%%ct_kfo_kfoqsdb_db_connection%%% --jndi-name=java:jboss/datasources/kfoqsdb-frontend-deliveryDS --driver-name=postgresql --user-name=%%%ct_kfo_kfoqsdb_db_user%%% --password=%%%ct_kfo_kfoqsdb_db_password%%%
  data-source enable --name=kfoqsdb-frontend-deliveryDS
end-if


/subsystem=security/security-domain=kfoqsdb:add()
/subsystem=security/security-domain=kfoqsdb/authentication=classic:add(login-modules=[{"module"=>"at.itsv.servicesecurity.loginmodules", "code"=>"at.itsv.security.servicesecurity.loginmodule.HTTPDigestLoginModule", "flag"=>"required", "module-options"=>[("jndiPrefix"=>"java\:global\/at\/itsv\/kfoqsdb"),("application"=>"kfoqsdb"),("identityProvider"=>"jndi"),("Systemmodus"=>"%%%ct_kfo_kfoqsdb_systemmodus%%%")]}])

/subsystem=naming/binding=java\:global\/at\/itsv\/kfoqsdb\/passwords\/%%%ct_kfo_kfoqsdb_rest-user%%%:add(binding-type=simple, type="java.lang.String", value="%%%ct_kfo_kfoqsdb_rest-pw%%%")
/subsystem=naming/binding=java\:global\/at\/itsv\/kfoqsdb\/roles\/%%%ct_kfo_kfoqsdb_rest-user%%%:add(binding-type=simple, type="java.lang.String", value="%%%ct_kfo_kfoqsdb_rest-role%%%")



/subsystem=naming/binding=java\:global\/at\/itsv\/kfo\/environment:add(binding-type=simple, type="java.lang.String", value="%%%ct_kfo_kfoqsdb_systemmodus%%%")
/subsystem=naming/binding=java\:global\/at\/itsv\/kfo\/version:add(binding-type=simple, type="java.lang.String", value="0200")
/subsystem=naming/binding=java\:global\/at\/itsv\/kfo\/logpath:add(binding-type=simple, type="java.lang.String", value="/opt/dvs/svbox-logs/")
/subsystem=naming/binding=java\:global\/at\/itsv\/kfo\/archivepath:add(binding-type=simple, type="java.lang.String", value="/opt/dvs/svbox-logs/archiv/")





